Subject: Re: [tsvwg] Comments requested on adoption of draft-nishida-tsvwg-sctp-failover-05 as a TSVWG draft

From: Yoshifumi Nishida <[email-masked]>
Date: Tue, 3 Jul 2012 23:41:13 -0700

Hello Jose,

Thanks for your feedback. We'll update this in the next version.
--
Yoshifumi

On Wed, Jun 27, 2012 at 1:19 AM, Jose Saldana <[email-masked]> wrote:
> I have read the draft and I find it very interesting for improving SCTP when
> dealing with network failures. I agree with adopting it as a WG item.
>
>
>
> Some small things which could be corrected:
>
>
>
> - First paragraph of Section 4.2:
>
> "During failover process.  RTO keeps being doubled."
>
> "During failover process,  RTO keeps being doubled."
>
>
>
> - First paragraph of page 8:
>
> "SCTP MUST NOT send any notification to the upper layer about the active to
> PF state transition."
>
> "SCTP MUST NOT send any notification to the upper layer about the Active to
> PF state transition."
>
> There are some other places talking about "active state". In contrast,
> "Inactive state" is always capitalized.
>
>
>
> - There are two places where "primary path" is called "primacy path".
>
>
>
> - Section 5.3:
>
> "however, it will require more detail analysis since it might  impact on
> SCTP failover algorithm."
>
> "however, it will require more detailed analysis since it might  impact on
> SCTP failover algorithm."
>
>
>
> Best regards,
>
>
>
> Jose
>
>
>
> -----Mensaje original-----
> De: [email-masked] [mailto:[email-masked]] En nombre de
> Michael Tuexen
> Enviado el: martes, 26 de junio de 2012 10:18
> Para: [email-masked]
> CC: [email-masked]; [email-masked];
> [email-masked]
> Asunto: Re: [tsvwg] Comments requested on adoption of
> draft-nishida-tsvwg-sctp-failover-05 as a TSVWG draft
>
>
>
> On Jun 26, 2012, at 9:26 AM, Gorry Fairhurst wrote:
>
>
>
>> All,
>
>>
>
>> The TSVWG is considering adopting the following draft as a working group
>> document for publication as PS:
>
>>
>
>>  Quick Failover Algorithm in SCTP
>
>>  draft-nishida-tsvwg-sctp-failover-05
>
>>  http://datatracker.ietf.org/doc/draft-nishida-tsvwg-sctp-failover/
>
>>
>
>> This draft has been discussed at previous IETF meetings and is thought to
>> not conflict with any current or planned IETF work. It also appears to fall
>> within the charter of this WG. Please state your opinion, positive or
>> negative, on the mailing list or to the chairs. This consensus call will end
>> on June 26, 2012.
>
> I think this should be adopted as a WG item. I read it, provided comments
> and I'm willing to review upcoming versions.
>
> This current version has also been implemented in FreeBSD.
>
>
>
> Best regards
>
> Michael
>
>>
>
>> Regards,
>
>>
>
>> Gorry Fairhurst & James Polk
>
>> (TSVWG Co-Chairs)
>
>>
>
>> --------------------------------------------------------------------
>
>> IETF TSVWG working group mailing list
>
>>
>
>>